import React from 'react';
declare type NotificationCounterProps = {
    value: number;
    className: string;
    testAutomationId: string;
    max: number;
    formatMaxNumber: (number: any) => string;
};
export declare class NotificationCounter extends React.Component<NotificationCounterProps> {
    static defaultProps: {
        testAutomationId: string;
        formatMaxNumber: (max: any) => string;
        max: any;
        className: any;
    };
    renderValue(): string;
    render(): JSX.Element;
}
export {};
